EAPI EAPI_WEAK EFL_VOID_FUNC_BODYV(efl_ui_l10n_text_set, EFL_FUNC_CALL(label, domain), const char *label, const char *domain);
EAPI EAPI_WEAK EFL_FUNC_BODYV_CONST(efl_ui_l10n_text_get, const char *, NULL, EFL_FUNC_CALL(domain), const char **domain);
EAPI EAPI_WEAK EFL_VOID_FUNC_BODY(efl_ui_l10n_translation_update);

static Eina_Bool
_efl_ui_l10n_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_L10N_EXTRA_OPS
#define EFL_UI_L10N_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_set, NULL),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_text_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_ui_l10n_translation_update, NULL),
      EFL_UI_L10N_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_l10n_class_desc = {
   EO_VERSION,
   "Efl.Ui.L10n",
   EFL_CLASS_TYPE_INTERFACE,
   0,
   _efl_ui_l10n_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_l10n_interface_get, &_efl_ui_l10n_class_desc, NULL, NULL);
